Recommendations for Linux Install

Ask software engineering and SDK questions for developers working on Mac OS X, Windows or Linux.
  • Author
  • Message
Offline

david_clements

  • Posts: 4
  • Joined: Thu Mar 02, 2017 4:21 pm

Recommendations for Linux Install

PostThu Mar 02, 2017 4:31 pm

I've mostly attempted to use the older Decklink 1080 Extreme 3D cards under Linux. I've tried the following distros: Ubuntu 16.04 LTS, CENTOS 7 and CENTOS 6.8.

In all cases I managed to get the drivers to install after some elbow grease. I can get the Media Express to recognize the card. However, in no case have I been able to successfully get an image to show up in Log in Capture either via HDMI or SDI. The card has been tested on a Windows 7 Dell box.

I'm trying to use the card on an HP Gen 8 server. The purpose is to be able to provide my agency with a bunch of live RTMP streams via NGINX that we can use as needed for other re-streaming purposes.

Any suggestions would be helpful. Also, if it really turns out that I should get a new card, I'm possibly looking at the new Quad that can handle 8 inputs. I really would like that working on a modern Linux with that HP Gen8 server hardware.

Thanks in advance!
Offline

Dave Johnstone

  • Posts: 152
  • Joined: Mon Dec 08, 2014 11:12 am
  • Location: Adelaide

Re: Recommendations for Linux Install

PostThu Mar 02, 2017 10:27 pm

I have a Linux system running Ubuntu 15.04 but on an Intel DP55WG main board. This is working with Desktop Utility 10.4.2 and Media Express 3.4.1. My card is the HD Extreme 3D+ - Is your card the older 3D? I have one of those I've not tested yet. I don't remember any issues installing the driver and software (just using old versions as these were the most stable when I set the system up).

Regards,

Dave.
Freelance Television Broadcast Engineer
and Software Programmer.
Offline

david_clements

  • Posts: 4
  • Joined: Thu Mar 02, 2017 4:21 pm

Re: Recommendations for Linux Install

PostFri Mar 03, 2017 2:23 am

I'm not sure if it is the older version of the card as it was a hand-me-down from a leftover server, but my guess would be that it is the older one. Some of these servers came with the decklink duos. I may give the older drivers a shot. Thanks.

Just out of curiosity, have any of you had good luck with the current quad card on Linux? I'm thinking of grabbing that one, especially if it can work well on a modern distro.
Offline

david_clements

  • Posts: 4
  • Joined: Thu Mar 02, 2017 4:21 pm

Re: Recommendations for Linux Install

PostMon Mar 06, 2017 10:20 pm

I just want to say that I got the older cards working on Ubuntu 16.04 LTS as I wanted to on two different PC motherboards including the HP Gen8 server. I even have 4 SDI inputs from a Decklink Duo, and Extreme 3D and an Extreme 3D+ all working together.

I did do firmware upgrades on all of the cards and used the latest drivers. All inputs worked in OBS. On top of that, bmdtools/bmdcapture worked like a charm with ffmpeg.

I thought I'd share that to give some users hope. :)

Return to Software Developers

Who is online

Users browsing this forum: No registered users and 2 guests